<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title>Contest page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body>

<div layout:fragment="content">
    <div th:if="${message != null}">
        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <i class="material-icons">close</i>
            </button>
            <span th:text="${message}">This is a notification with close button.</span>
            <!--                <span>This is a notification with close button.</span>-->
        </div>
    </div>
    <div class="card">
        <div class="card card-profile ml-auto mr-auto" style="width: 20rem;">
            <img class="card-img" th:src="${image}"
                 rel="nofollow" alt="...">
            <br>
<!--            <div class="btn btn-info btn-round">-->
<!--                <div class="row">-->
<!--                    <div class="col-md-6">-->
<!--                        <p-->
<!--                                th:if="${isPhase1 == true}"><i th:if="${isPhase1 == true}" class="material-icons">hourglass_empty</i>-->
<!--                            Until phase two:</p>-->
<!--                        <p-->
<!--                                th:if="${isPhase2 and !contest.getIs_finished()}"><i-->
<!--                                th:if="${isPhase2 and !contest.getIs_finished()}"-->
<!--                                class="material-icons">hourglass_empty</i>Until-->
<!--                            finish:</p>-->
<!--                    </div>-->
<!--                    <div class="col-md-6">-->
<!--                        <p id="demo"><i class="material-icons">hourglass_empty</i></p>-->
<!--                        <p>GMT</p>-->
<!--                    </div>-->
<!--                </div>-->

<!--            </div>-->
            <div class="card-img-overlay">
                <h4 class="card-title" th:text="${contest.getTitle()}">Card title</h4>

            </div>
        </div>
    </div>

    <div class="card-body">
        <a th:unless="${isParticipant}" th:if="${isPhase1}"
           th:href="@{/new_submission(id=${contest.getContest_id()})}" type="button" class="btn btn-default">Enroll
        </a>

        <p th:unless="${isParticipant}" th:if="${isPhase2}" th:href="@{/new_submission(id=${contest.getContest_id()})}">
            Photos are not accepted anymore
        </p>
        <p th:if="${contest.getIs_finished() && isParticipant}"
           th:href="@{/new_submission(id=${contest.getContest_id()})}">
            The contest is finished
        </p>

        <button th:if="${contest.getIs_finished() && isParticipant}" type="button" class="btn btn-default">View
            Winners
        </button>
        <div class="collapse" id="collapseFilter">
            <div class="row">
                <div class="card">
                    <div class="card-body">
                        <h3>Filter Posts</h3>
                        <form th:action="@{/filterforum}" method="post" th:if="${hide_filter==0}">
                            <div class="row">
                                <div class="card-body col-md-12">
                                    <div class="form-group">
                                        <label>Title</label>
                                        <input class="form-control" type="text" name="filter_title">
                                    </div>
                                </div>
                            </div>
                            <div th:if="${isRunning && isParticipant}" th:unless="${contest.getIs_finished()}"
                                 class="row">
                                <div class="card-body col-md-6">
                                    <div class="form-group">
                                        <label>Filter User</label>
                                        <select class="form-control selectpicker"
                                                data-style="btn btn-link" name="filter_user">
                                            <option value=""></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="card-body col-md-6">
                                    <div class="form-group">
                                        <label>Sort</label>
                                        <select class="form-control selectpicker"
                                                data-style="btn btn-link" name="filter_sort">
                                            <option value=""></option>
                                            <option value=" ORDER BY p.creation_time DESC">Newest to Oldest</option>
                                            <option value=" ORDER BY p.creation_time ASC">Oldest to Newest</option>
                                            <option value=" ORDER BY commentsCount DESC">Most commented</option>
                                            <option value=" ORDER BY likesCount DESC">Most liked</option>
                                            <option value=" ORDER BY dislikesCount DESC">Most disliked</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <input type="submit" value="Filter" class="btn btn-info">
                        </form>
                        <div th:if="${hide_filter==1}">
                            <div>
                                <h4>Active Filters:</h4>
                                <ul>
                                </ul>
                            </div>
                            <a th:href="@{/forum}" class="btn btn-info">Clear</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12" th:if="${contest.getIs_finished() && isParticipantUser}">
                <div class="card" style="width: 20rem;">
                    <h5 class="card-header card-header-info">My photo</h5>
                    <img class="card-img-top"
                         th:src="${myPhoto.getPhoto().getImage_link()}"
                         src="https://images.unsplash.com/photo-1517303650219-83c8b1788c4c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=bd4c162d27ea317ff8c67255e955e3c8&auto=format&fit=crop&w=2691&q=80"
                         alt="Card image cap">
                    <div class="card-body">
                        <a th:href="@{/view_submission(id=${myPhoto.getPhoto_submission_id()})}">
                            <h6 class="card-category text-info" th:text="${myPhoto.getTitle()}">Fashion </h6>
                        </a>
                        <p class="card-description" th:text="${myPhoto.getStory()}">
                            Don&apos;t be scared of the truth because we need to restart the human foundation in truth
                            And I love you like Kanye loves Kanye I love Rick Owens&#x2019; bed design but the back
                            is...
                        </p></div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4" th:if="${isRunning && isParticipant}" th:each="photoSubmission: ${photoSubmissions}">
                <div class="card" style="width: 20rem;">
                    <img class="card-img-top"
                         th:src="${photoSubmission.getPhoto().getImage_link()}"
                         src="https://images.unsplash.com/photo-1517303650219-83c8b1788c4c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=bd4c162d27ea317ff8c67255e955e3c8&auto=format&fit=crop&w=2691&q=80"
                         alt="Card image cap">
                    <div class="card-body">
                        <a th:href="@{/view_submission(id=${photoSubmission.getPhoto_submission_id()})}">
                            <h6 class="card-category text-info" th:text="${photoSubmission.getTitle()}">Fashion </h6>
                        </a>
                        <p class="card-description" th:text="${photoSubmission.getStory()}">
                            Don&apos;t be scared of the truth because we need to restart the human foundation in truth
                            And I love you like Kanye loves Kanye I love Rick Owens&#x2019; bed design but the back
                            is...
                        </p></div>
                </div>

            </div>
        </div>
    </div>
</div>
</div>
<th:block layout:fragment="script">
<!--    <script th:inline="javascript">-->
<!--        // Set the date we're counting down to-->
<!--        /*<![CDATA[*/-->

<!--        var message = /*[[${phase2}]]*/ 'default';-->
<!--        console.log(message);-->

<!--        /*]]>*/-->

<!--        // Set the date we're counting down to-->
<!--        /*<![CDATA[*/-->

<!--        var isFinished = /*[[${isFinishedJS}]]*/ 'default';-->
<!--        console.log(isFinished);-->

<!--        /*]]>*/-->


<!--        var countDownDate = new Date(message).getTime();-->
<!--        // var countDownDate = [[${phase2}]];-->

<!--        // Update the count down every 1 second-->
<!--        var x = setInterval(function () {-->

<!--            // Get today's date and time-->
<!--            var now = new Date().getTime();-->

<!--            // Find the distance between now and the count down date-->
<!--            var distance = countDownDate - now;-->

<!--            // Time calculations for days, hours, minutes and seconds-->
<!--            var days = Math.floor(distance / (1000 * 60 * 60 * 24));-->
<!--            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));-->
<!--            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));-->
<!--            var seconds = Math.floor((distance % (1000 * 60)) / 1000);-->

<!--            // Output the result in an element with id="demo"-->
<!--            document.getElementById("demo").innerHTML = days + "d " + hours + "h "-->
<!--                + minutes + "m " + seconds + "s ";-->

<!--            // If the count down is over, write some text-->
<!--            if (distance < 0 ) {-->
<!--                 if (isFinished ) {-->
<!--                    clearInterval(x);-->
<!--                    document.getElementById("demo").innerHTML = "EXPIRED";-->
<!--                } else {-->
<!--                    location.reload();-->
<!--                }-->
<!--            }-->
<!--        }, 1000);-->
<!--    </script>-->
</th:block>
</body>
</html>